Bug 1470710 - Fedora-Workstation-netinst-x86_64-26-1.5.iso, no video output for main interface
Fedora-Workstation-netinst-x86_64-26-1.5.iso, no video output for main interface
Status: NEW
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-13 09:49 EDT by Keith Dixon
Modified: 2017-07-21 04:53 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
syslog (232.46 KB, text/plain)
2017-07-13 09:49 EDT, Keith Dixon
no flags Details
anaconda.log (9.83 KB, text/plain)
2017-07-13 09:53 EDT, Keith Dixon
no flags Details
dnf.librepo.log (105.32 KB, text/plain)
2017-07-13 09:53 EDT, Keith Dixon
no flags Details
hawkey.log (1.72 KB, text/plain)
2017-07-13 09:55 EDT, Keith Dixon
no flags Details
ifcfg.log (2.19 KB, text/plain)
2017-07-13 09:56 EDT, Keith Dixon
no flags Details
packaging.log (2.01 KB, text/plain)
2017-07-13 09:56 EDT, Keith Dixon
no flags Details
program.log (114.64 KB, text/plain)
2017-07-13 09:57 EDT, Keith Dixon
no flags Details
sensitive-info.log (106 bytes, text/plain)
2017-07-13 09:59 EDT, Keith Dixon
no flags Details
storage.log (205.76 KB, text/plain)
2017-07-13 10:00 EDT, Keith Dixon
no flags Details
X.log (36.05 KB, text/plain)
2017-07-13 10:00 EDT, Keith Dixon
no flags Details

  None (edit)
Description Keith Dixon 2017-07-13 09:49:49 EDT
Created attachment 1297621 [details]
syslog

Description of problem:
During booting of the installer, console 1, Ctrl+Alt+F1, the tmux terminal multiplexor, works fine but, when the switch to the main installation interface on console 6 is made, a cursor appears in the top left corner of the screen for a few seconds then the monitor OSD registers no input. 
Other activities continue, data is being downloaded, and I can switch back and forth between consoles 6 and 1, (terminals Ctrl+b 1 to 5 work), but console 6 remains dead.
Consoles 2, 3 and 5 show root prompts and console 4 seems to be syslog. All seem to work.
If I give the kernel parameter inst.text then console 6 gives a root prompt as intended.
Neither nouveau.noaccel=1 nor nouveau.nofbaccel=1 have any effect.
I have no problem in booting Fedora-Workstation-Live-x86_64-26-1.5.iso.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot netinst iso from a USB stick
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Keith Dixon 2017-07-13 09:53 EDT
Created attachment 1297623 [details]
anaconda.log

anaconda.log
Comment 2 Keith Dixon 2017-07-13 09:53 EDT
Created attachment 1297624 [details]
dnf.librepo.log

dnf.librepo.log
Comment 3 Keith Dixon 2017-07-13 09:55 EDT
Created attachment 1297625 [details]
hawkey.log
Comment 4 Keith Dixon 2017-07-13 09:56 EDT
Created attachment 1297626 [details]
ifcfg.log
Comment 5 Keith Dixon 2017-07-13 09:56 EDT
Created attachment 1297627 [details]
packaging.log
Comment 6 Keith Dixon 2017-07-13 09:57 EDT
Created attachment 1297633 [details]
program.log
Comment 7 Keith Dixon 2017-07-13 09:59 EDT
Created attachment 1297635 [details]
sensitive-info.log
Comment 8 Keith Dixon 2017-07-13 10:00 EDT
Created attachment 1297636 [details]
storage.log
Comment 9 Keith Dixon 2017-07-13 10:00 EDT
Created attachment 1297637 [details]
X.log
Comment 10 Jiri Konecny 2017-07-14 04:08:52 EDT
From our logs it looks to me like the X server was started successfully.

Maybe some problem with Xorg server?
Comment 11 Keith Dixon 2017-07-17 04:23:53 EDT
It occurred to me that I suffered what might be a related problem when installing Fedora 21 on the same hardware and submitted the following bug report:
https://bugzilla.redhat.com/show_bug.cgi?id=1181563
That bug  was never resolved. The current problem is worse, as it completely prevents me installing, but is similar in that everything seems to be working except the GUI.
Comment 12 Keith Dixon 2017-07-21 04:53:03 EDT
I now know far more about anaconda than I ever wanted to. :)

The following imply that the nouveau driver may be preferred over the modesetting driver for older Nvidia gpus, (specifically for my hardware, GT218 [GeForce 210] NVA8):
http://phoronix.com/scan.php?page=news_item&px=Nouveau-Vs-Modesetting
https://bugs.freedesktop.org/show_bug.cgi?id=94844

The following is for anyone with the same problem who finds this bug.

1) Boot the netinst iso and, when they become available, switch to a console, with a root prompt, other than tmux or the xserver, e.g. console 2:
Ctrl+Alt+F2

2) Create the following file:
# cat > /usr/share/X11/xorg.conf.d/10-nouveau.conf << "EOF"
Section "OutputClass"
        Identifier "Nouveau"
        MatchDriver "nouveau"
        Driver "nouveau"
EndSection

EOF
and check it:
# cat /usr/share/X11/xorg.conf.d/10-nouveau.conf
This will force the xserver to use the nouveau driver, when it is restarted, if the nouveau kernel module is in use, instead of the modesetting driver. 
The nouveau driver is present, even though anaconda will never use it without this xorg.conf.d file:
# ls /usr/lib64/xorg/modules/drivers
ati_drv.so    intel_drv.so        openchrome_drv.so  v4l_drv.so
dummy_drv.so  modesetting_drv.so  qxl_drv.so         vesa_drv.so
fbdev_drv.so  nouveau_drv.so      radeon_drv.so      vmware_drv.so

3) Restart the anaconda service
# systemctl restart anaconda.service

This bug remains a bug of course. On the xorg side, the OutputClass section needs an  additional Match entry to specify the hardware more accurately. A MatchGPU entry, say, that would take a '|' separated list of GPU code names
https://nouveau.freedesktop.org/wiki/CodeNames/
Then anaconda would need to include a suitable 10-nouveau.conf file.

Note You need to log in before you can comment on or make changes to this bug.